package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcCleanQualityModel = (*customDcCleanQualityModel)(nil)

type (
	// DcCleanQualityModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcCleanQualityModel.
	DcCleanQualityModel interface {
		dcCleanQualityModel
	}

	customDcCleanQualityModel struct {
		*defaultDcCleanQualityModel
	}
)

// NewDcCleanQualityModel returns a model for the database table.
func NewDcCleanQualityModel(conn sqlx.SqlConn) DcCleanQualityModel {
	return &customDcCleanQualityModel{
		defaultDcCleanQualityModel: newDcCleanQualityModel(conn),
	}
}
