package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcEventRuleModel = (*customDcEventRuleModel)(nil)

type (
	// DcEventRuleModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcEventRuleModel.
	DcEventRuleModel interface {
		dcEventRuleModel
	}

	customDcEventRuleModel struct {
		*defaultDcEventRuleModel
	}
)

// NewDcEventRuleModel returns a model for the database table.
func NewDcEventRuleModel(conn sqlx.SqlConn) DcEventRuleModel {
	return &customDcEventRuleModel{
		defaultDcEventRuleModel: newDcEventRuleModel(conn),
	}
}
